---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libnframepop001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x51B90, symBinAddr: 0xC350, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x53AD0, symBinAddr: 0xE290, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x53EC0, symBinAddr: 0xE680, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54E60, symBinAddr: 0xF620, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54E70, symBinAddr: 0xF630, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x51670, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x51674, symBinAddr: 0xC084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x51678, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x517D0, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x51888, symBinAddr: 0xC148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5188C, symBinAddr: 0xC14C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x51890, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x51894, symBinAddr: 0xC154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x51898, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x518A0, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x518B8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x518C0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x518C8, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x518D0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x518D8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL9popThread, symObjAddr: 0x51920, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x90D7, offset: 0x90D7, size: 0x8, addend: 0x0, symName: __ZL8popClass, symObjAddr: 0x51928, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x90F0, offset: 0x90F0, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x51930, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9110, offset: 0x9110, size: 0x8, addend: 0x0, symName: __ZL9popMethod, symObjAddr: 0x51938, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9129, offset: 0x9129, size: 0x8, addend: 0x0, symName: __ZL7popFlag, symObjAddr: 0x51940, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9142, offset: 0x9142, size: 0x8, addend: 0x0, symName: __ZL6popLoc, symObjAddr: 0x51944, symBinAddr: 0xC1C4, symSize: 0x0 }
  - { offsetInCU: 0x915B, offset: 0x915B, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x51948, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x9174, offset: 0x9174, size: 0x8, addend: 0x0, symName: __ZL4mid1, symObjAddr: 0x51958, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x918D, offset: 0x918D, size: 0x8, addend: 0x0, symName: __ZL4mid2, symObjAddr: 0x51960, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x91A6, offset: 0x91A6, size: 0x8, addend: 0x0, symName: __ZL10currThread, symObjAddr: 0x51968, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x91BF, offset: 0x91BF, size: 0x8, addend: 0x0, symName: __ZL9currClass, symObjAddr: 0x51970, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x91D8, offset: 0x91D8, size: 0x8, addend: 0x0, symName: __ZL10currMethod, symObjAddr: 0x51978, symBinAddr: 0xC1F8, symSize: 0x0 }
  - { offsetInCU: 0x91F1, offset: 0x91F1, size: 0x8, addend: 0x0, symName: __ZL7currLoc, symObjAddr: 0x51980, symBinAddr: 0xC200, symSize: 0x0 }
  - { offsetInCU: 0x920A, offset: 0x920A, size: 0x8, addend: 0x0, symName: __ZL8currFlag, symObjAddr: 0x51984, symBinAddr: 0xC204, symSize: 0x0 }
  - { offsetInCU: 0x922A, offset: 0x922A, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x51988, symBinAddr: 0xC208, symSize: 0x0 }
  - { offsetInCU: 0x9243, offset: 0x9243, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x51990, symBinAddr: 0xC210, symSize: 0x0 }
  - { offsetInCU: 0x9295, offset: 0x9295, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x4050, symSize: 0x80 }
  - { offsetInCU: 0x932A, offset: 0x932A, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x3FA0, symSize: 0xB0 }
  - { offsetInCU: 0x9385, offset: 0x9385, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x3EA0, symSize: 0x100 }
  - { offsetInCU: 0x9618, offset: 0x9618, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x40D0, symSize: 0x220 }
  - { offsetInCU: 0x97FD, offset: 0x97FD, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x42F0, symSize: 0xA0 }
  - { offsetInCU: 0x98B0, offset: 0x98B0, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x4390, symSize: 0x110 }
  - { offsetInCU: 0x99A6, offset: 0x99A6, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x44A0, symSize: 0x150 }
  - { offsetInCU: 0x9AD7, offset: 0x9AD7, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x45F0, symSize: 0x30 }
  - { offsetInCU: 0x9B98, offset: 0x9B98, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4620, symSize: 0x150 }
  - { offsetInCU: 0x9D90, offset: 0x9D90, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4770, symSize: 0x160 }
  - { offsetInCU: 0x9F1C, offset: 0x9F1C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x48D0, symSize: 0x1B0 }
  - { offsetInCU: 0xA137, offset: 0xA137, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4A80, symSize: 0xA0 }
  - { offsetInCU: 0xA206, offset: 0xA206, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4B20, symSize: 0x20 }
  - { offsetInCU: 0xA23D, offset: 0xA23D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4B40, symSize: 0x20 }
  - { offsetInCU: 0xA274, offset: 0xA274, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4B60, symSize: 0x20 }
  - { offsetInCU: 0xA423, offset: 0xA423, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4B80, symSize: 0x1A0 }
  - { offsetInCU: 0xA749, offset: 0xA749, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4D20, symSize: 0x80 }
  - { offsetInCU: 0xA812, offset: 0xA812, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4DA0, symSize: 0x6A0 }
  - { offsetInCU: 0xB3A7, offset: 0xB3A7, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA460, symBinAddr: 0x6390, symSize: 0xB0 }
  - { offsetInCU: 0xB41E, offset: 0xB41E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5440, symSize: 0x70 }
  - { offsetInCU: 0xB4DA, offset: 0xB4DA, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x54B0, symSize: 0xA0 }
  - { offsetInCU: 0xB631, offset: 0xB631, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5550, symSize: 0x40 }
  - { offsetInCU: 0xB727, offset: 0xB727, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5590, symSize: 0x2B0 }
  - { offsetInCU: 0xBACD, offset: 0xBACD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5840, symSize: 0xC0 }
  - { offsetInCU: 0xBC13, offset: 0xBC13, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5900, symSize: 0x10 }
  - { offsetInCU: 0xBCD5, offset: 0xBCD5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5910, symSize: 0x220 }
  - { offsetInCU: 0xBFD2, offset: 0xBFD2, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5B30, symSize: 0x10 }
  - { offsetInCU: 0xC028, offset: 0xC028, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5B40, symSize: 0x180 }
  - { offsetInCU: 0xC1F2, offset: 0xC1F2, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D90, symBinAddr: 0x5CC0, symSize: 0x10 }
  - { offsetInCU: 0xC28C, offset: 0xC28C, size: 0x8, addend: 0x0, symName: _FramePop, symObjAddr: 0x9DA0, symBinAddr: 0x5CD0, symSize: 0x100 }
  - { offsetInCU: 0xC45B, offset: 0xC45B, size: 0x8, addend: 0x0, symName: _ExceptionCatch, symObjAddr: 0x9EA0, symBinAddr: 0x5DD0, symSize: 0x150 }
  - { offsetInCU: 0xC654, offset: 0xC654, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_NotifyFramePop_nframepop001_getMethIds, symObjAddr: 0x9FF0, symBinAddr: 0x5F20, symSize: 0x120 }
  - { offsetInCU: 0xC7DF, offset: 0xC7DF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_NotifyFramePop_nframepop001_setFramePopNotif, symObjAddr: 0xA110, symBinAddr: 0x6040, symSize: 0x1D0 }
  - { offsetInCU: 0xCA80, offset: 0xCA80, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_NotifyFramePop_nframepop001_checkFrame, symObjAddr: 0xA2E0, symBinAddr: 0x6210, symSize: 0x170 }
  - { offsetInCU: 0xCB3A, offset: 0xCB3A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_NotifyFramePop_nframepop001_getRes, symObjAddr: 0xA450, symBinAddr: 0x6380, symSize: 0x10 }
  - { offsetInCU: 0xCB72, offset: 0xCB72, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA510, symBinAddr: 0x6440, symSize: 0x36A }
...
